<?php
/*
Plugin Name: Offres Plugin
Plugin URI: https://annuaire-supply-chain.com/
Description: Utilisez le code suivant : [offres] afin d'afficher les 5 dernières offres
Version: 1.0
Author: Nltweb
Author URI: https://annuaire-supply-chain.com/
License: GPL2
*/

// Fonction pour afficher les offres
function afficher_offres() {
    // Effectuez ici la requête vers votre API pour récupérer les offres
    // et affichez-les selon votre structure HTML
    $response = wp_remote_get('https://annuaire-supply-chain.com/api');

    if (is_wp_error($response)) {
        echo 'Erreur lors de la récupération des offres.';
    } else {
        $body = wp_remote_retrieve_body($response);
        $data = json_decode($body, true);

        if (is_array($data)) {
			
							echo '<div class="annuaire">';

            foreach ($data as $offer) {
                echo '<div class="offres"><a href="https://annuaire-supply-chain.com/offre/' . $offer['slug'] . '">' . $offer['nom'].'</a></div>';
            }
			
							echo '<div/>';

        } else {
            echo 'Les données des offres ne sont pas valides.';
        }
    }
}

// Shortcode pour afficher les offres
function shortcode_offres() {
    ob_start();
    afficher_offres();
    return ob_get_clean();
}
add_shortcode('offres', 'shortcode_offres');
